%{?mingw_package_header}

#%%global snapshot_date 20160723
#%%global snapshot_rev 65a0c3298db7cc5cbded63259663cb29e4780a56
#%%global snapshot_rev_short %%(echo %snapshot_rev | cut -c1-6)
#%%global branch v5.x

#%%global pre rc2
%define rel 1

Name:           mingw-crt
Version:        8.0.0
Release:        %mkrel %{rel}
Summary:        MinGW Windows cross-compiler runtime

License:        Public Domain and ZPLv2.1
Group:          Development/Other
URL:            https://mingw-w64.sourceforge.net/
%if 0%{?snapshot_date}
# To regenerate a snapshot:
# Use your regular webbrowser to open https://sourceforge.net/p/mingw-w64/mingw-w64/ci/%{snapshot_rev}/tarball
# This triggers the SourceForge instructure to generate a snapshot
# After that you can pull in the archive with:
# spectool -g mingw-crt.spec
Source0:        https://sourceforge.net/code-snapshots/git/m/mi/mingw-w64/mingw-w64.git/mingw-w64-mingw-w64-%{snapshot_rev}.zip
%else
Source0:        https://downloads.sourceforge.net/mingw-w64/mingw-w64-v%{version}%{?pre:-%{pre}}.tar.bz2
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-headers
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-headers
BuildRequires:  mingw64-gcc


%description
MinGW Windows cross-compiler runtime, base libraries.


%package -n mingw32-crt
Summary:        MinGW Windows cross-compiler runtime for the win32 target
Obsoletes:      mingw32-runtime < 3.18-7%{?dist}
Provides:       mingw32-runtime = 3.18-7%{?dist}
Requires:       mingw32-filesystem >= 95

%description -n mingw32-crt
MinGW Windows cross-compiler runtime, base libraries for the win32 target.

%package -n mingw64-crt
Summary:        MinGW Windows cross-compiler runtime for the win64 target
Obsoletes:      mingw64-runtime < 1.0-0.3.20100914%{?dist}
Provides:       mingw64-runtime = 1.0-0.3.20100914%{?dist}
Requires:       mingw64-filesystem >= 95

%description -n mingw64-crt
MinGW Windows cross-compiler runtime, base libraries for the win64 target.


%prep
%if 0%{?snapshot_date}
rm -rf mingw-w64-v%{version}
mkdir mingw-w64-v%{version}
cd mingw-w64-v%{version}
unzip %{S:0}
%autosetup -p1 -D -T -n mingw-w64-v%{version}/mingw-w64-mingw-w64-%{snapshot_rev}
%else
%autosetup -p1 -n mingw-w64-v%{version}%{?pre:-%{pre}}
%endif


%build
pushd mingw-w64-crt
    MINGW64_CONFIGURE_ARGS="--disable-lib32"
    %mingw_configure
    %mingw_make %{?_smp_mflags}
popd


%install
pushd mingw-w64-crt
    %mingw_make_install DESTDIR=%{buildroot}
popd

# Dunno what to do with these files
rm -rf %{buildroot}%{mingw32_includedir}/*.c
rm -rf %{buildroot}%{mingw64_includedir}/*.c


%files -n mingw32-crt
%license COPYING DISCLAIMER DISCLAIMER.PD
%{mingw32_libdir}/*

%files -n mingw64-crt
%license COPYING DISCLAIMER DISCLAIMER.PD
%{mingw64_libdir}/*


%changelog
* Mon Nov 02 2020 akien <akien> 8.0.0-1.mga8
+ Revision: 1641656
- Version 8.0.0

* Thu Sep 24 2020 tv <tv> 7.0.0-1.mga8
+ Revision: 1629800
- 7.0.0
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 6.0.0-2.mga8
+ Revision: 1526925
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 daviddavid <daviddavid> 6.0.0-1.mga8
+ Revision: 1418948
- new version: 6.0.0

* Thu Sep 20 2018 umeabot <umeabot> 5.0.4-2.mga7
+ Revision: 1279526
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 5.0.4-1.mga7
+ Revision: 1247536
- new version: 5.0.4

* Thu Apr 07 2016 daviddavid <daviddavid> 5.0-0.1.rc2.1.mga6
+ Revision: 999110
- fix release tag

* Tue Apr 05 2016 tv <tv> 5.0-0.1.rc2.mga6.mga6
+ Revision: 998649
- new release

* Mon Feb 08 2016 umeabot <umeabot> 3.0.0-5.mga6
+ Revision: 943086
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 748525
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 682417
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.0.0-2.mga4
+ Revision: 536079
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 3.0.0-1.mga4
+ Revision: 483200
- imported package mingw-crt

